%define upstream_name    Plack-Middleware-XForwardedFor
%define upstream_version 0.172050

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Plack middleware to handle X-Forwarded-For headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::IP) >= 1.260.0
BuildRequires: perl(Plack) >= 0.991.300
BuildRequires: perl(parent) >= 0.223.0
BuildArch:  noarch

%description
'Plack::Middleware::XForwardedFor' will look for 'X-Forwarded-For' header
in the incomming request and change 'REMOTE_ADDR' to the real client IP

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.172.50-4.mga8
+ Revision: 1506040
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.172.50-3.mga7
+ Revision: 1285735
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.172.50-2.mga7
+ Revision: 1166247
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.172.50-1.mga7
+ Revision: 1159477
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.103.60-4.mga6
+ Revision: 1032197
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.103.60-3.mga6
+ Revision: 949724
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.103.60-2.mga5
+ Revision: 790386
- Rebuild to potentially add missing dependencies

* Thu Oct 16 2014 shlomif <shlomif> 0.103.60-1.mga5
+ Revision: 762280
- imported package perl-Plack-Middleware-XForwardedFor


* Thu Oct 16 2014 cpan2dist 0.103060-1mga
- initial mageia release, generated with cpan2dist
